HB
Date: 2019-10-22

org.jmol.c

## Enum HB

- java.lang.Object
- - java.lang.Enum<HB>
  - - org.jmol.c.HB

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HB>

      public enum HB
      extends java.lang.Enum<HB>

  Enum for hydrogen bonding donor/acceptor type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTOR`
    `DONOR`
    `NOT`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HB` | `getType(Atom atom)`
    `static boolean` | `isPossibleHBond(HB typeA, HB typeB)`
    `static HB` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HB[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT

          public static final HB NOT

    - #### ACCEPTOR

          public static final HB ACCEPTOR

    - #### DONOR

          public static final HB DONOR

    - #### UNKNOWN

          public static final HB UNKNOWN

  - ### Method Detail

    - #### values

          public static HB[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HB c : HB.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HB valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static HB getType(Atom atom)

    - #### isPossibleHBond

          public static boolean isPossibleHBond(HB typeA,
                                                HB typeB)